> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recordings

Use this API to retrieve recording annotations for a document or organization. Supports optional filtering by recording ID and standard V2 pagination.

# Endpoint

`POST https://api.velt.dev/v2/recordings/get`

# Headers

**x-velt-api-key** `string` *required*

Your API key.

**x-velt-auth-token** `string` *required*

Your [Auth Token](https://velt.dev/docs/security/auth-tokens.md).

# Body

#### Params

**data** `object` *required*

**properties**

**organizationId** `string` *required*

Organization ID.

**documentId** `string`

Document ID. Filter recordings to a specific document.

**recordingIds** `string[]`

Filter by specific recording IDs.

**pageSize** `number`

Number of results per page. Minimum: 1.

**pageToken** `string`

Pagination cursor returned from a previous response.

## **Example Requests**

#### 1. Get all recordings for an organization and document

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456"
  }
}
```

#### 2. Get specific recordings by ID

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "recordingIds": ["rec-1", "rec-2"]
  }
}
```

#### 3. Get recordings with pagination

```JSON theme={null}
{
  "data": {
    "organizationId": "org-123",
    "documentId": "doc-456",
    "pageSize": 10,
    "pageToken": "encryptedPageToken"
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

```js theme={null}
{
  "result": {
    "status": "success",
    "message": "Recorder annotations retrieved successfully.",
    "data": [
      {
        "type": "recorder",
        "recordingType": "screen",
        "mode": "floating",
        "metadata": {
          "apiKey": "YOUR_API_KEY",
          "documentId": "doc-456",
          "organizationId": "org-123"
        },
        "recordedTime": {
          "duration": 4204.55,
          "display": "00:00:04"
        },
        "displayName": "Screen Recording 1773814490242.mp4",
        "annotationId": "ypvmVTROaNU1qP4kq7Cc",
        "attachments": [
          {
            "attachmentId": 875113,
            "url": "https://storage.googleapis.com/...",
            "mimeType": "video/mp4",
            "name": "recording_1773814490242.mp4",
            "type": "mp4",
            "size": 103551
          }
        ],
        "latestVersion": 5
      }
    ],
    "pageToken": "nextPageToken"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.